Skip to main content

TypeScript shape

type LaunchpadTokenProtocol =
  | 'Pump'
  | 'PumpMayhem'
  | 'FourMeme'
  | 'RaydiumLaunchpad'
  | 'BoopFun'
  | 'Vertigo'
  | 'Rainbow'
  | 'EgoTech'
  | 'ArenaTrade'
  | 'Moonit'
  | 'MeteoraDBC'
  | 'Baseapp'
  | 'BaseappCreator'
  | 'ZoraV4'
  | 'ZoraCreatorV4'
  | 'Virtuals'
  | 'Clanker'
  | 'HeavenAMM'
  | 'TokenMillV2'
  | 'TokenMillEVM'
  | 'ClankerV4'
  | 'Printr'
  | 'BonadFun'
  | 'NadFun'
  | 'Kumbaya'
  | 'Doppler'
  | 'Flaunch'
  | 'Liquid';
Use protocol / protocols with the GraphQL enum values below. Use launchpadName / launchpadNames with factory ids from GET /api/1/system-metadata (data.factories[].name). Factory display names and logos come from the same metadata payload.

Enum values

Pump
enum
Pump.fun (Solana). Factory id: pumpfun.
FourMeme
enum
FourMeme (BNB Chain). Factory id: fourmeme.
RaydiumLaunchpad
enum
Raydium Launchlab (Solana). Factory id: raydium-launchlab.
BoopFun
enum
BoopFun. Factory id: boop.
Vertigo
enum
Vertigo.
Moonit
enum
Moonit.
MeteoraDBC
enum
Meteora DBC (Dynamic Bonding Curve). Factory id: meteora-dbc.
ZoraV4
enum
Zora V4. Factory id: zora.
Virtuals
enum
Virtuals. Factory id: virtuals.
Clanker
enum
Clanker. Factory id: clanker.
HeavenAMM
enum
Heaven AMM. Factory id: heaven.
ClankerV4
enum
Clanker V4. Factory id: clanker.
Printr
enum
Printr. Factory id: printr.
NadFun
enum
NadFun. Factory id: nadfun.
Flaunch
enum
Flaunch. Pool type id: flaunch-v4.
Liquid
enum
Liquid. Factory id: liquidlaunch.

Pool type ids

These are the protocol ids currently exposed by data.poolTypes in system-metadata.

Factory ids

These are the unique factory metadata ids currently exposed by data.factories[].name. Use the id column for launchpadName / launchpadNames filters; ui_name and logo are display metadata. Logo previews are shown on a light background so transparent assets stay readable.